' $Id: new.n,v 1.6 1996/12/01 19:33:38 jfontain Exp $
.TH new tcl
.BS
.SH NAME
new \- Create an object
.SH SYNOPSIS
\fBnew \fIclassName ?parameter parameter ...?\fR
.PP
\fBnew \fIobjectIdentifier\fR
.SH DESCRIPTION
If the first parameter is a class name, a new object of class \fIclassName\fR is created. A unique object identifier is generated and the class constructor, which must exists, is called with the identifier as first parameter and the \fBnew\fR operator parameters as the following parameters, as in:
.PP
\fBclassName::className\fR \fIobjectId parameter parameter ...\fR
.PP
If the only parameter is an object identifier, a new object of the same class, copy of the parameter object is created. If any of the class layers has a copy constructor procedure defined, it will be invoked instead of the default per data member copy operation during the copy operation, as in:
.PP
\fBclassName::className\fR \fIobjectId parameter parameter ...\fR
.PP
The copy constructor is differentiated from the main constructor with its first parameter which must be \fIcopy\fR instead of \fIthis\fR.
.SH KEYWORDS
stooop, new, copy, delete, class, object
